MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024858Open CASCADE[OCCT] OCCT:Configurationpublic2014-04-18 15:582014-11-11 12:52
Reporterabv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024858: Convert class V3d_ListOfTransient to non-CDL
DescriptionClass V3d_ListOfTransient is a CDL class inheriting TColStd_ListOfTransient and extending it by methods Contains() and Remove().

Inheritance of TColStd_ListOfTransient on CDL level causes a problem when TCollection classes are converted to NCollection templates, since TColStd_ListOfTransient becomes not a CDL class after such conversion.

To avoid the problem, V3d_ListOfTransient can be converted to non-CDL class.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024750closedabv Replace instantiations of TCollection generic classes by NCollection templates 

-  Notes
(0029014)
abv (manager)
2014-04-22 17:04

Change pushed to CR24858, please review
(0029017)
kgv (developer)
2014-04-22 18:07

Please test the patch.
(0029101)
mkv (tester)
2014-04-28 15:29

Dear BugMaster,

Branch CR24858 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 7e49a265e81c5312867a93df2165faea98d3d5d3

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 410 (410 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 355742776 / 355845808
Total CPU difference: 53653.13 / 55266.979999999734

Testing on Windows:
Total MEMORY difference: 379097276 / 381861276
Total CPU difference: 36060.03125 / 43088.59375

There are no differences in images found by testdiff.

- Related Changesets
occt: master db3cb1ce
Timestamp: 2014-04-22 12:45:16
Author: abv
Committer: apn
Details ] Diff ]
0024858: Convert class V3d_ListOfTransient to non-CDL

Class V3d_ListOfTransient converted to non-CDL form (pure HXX)
mod - src/V3d/FILES Diff ] File ]
mod - src/V3d/V3d.cdl Diff ] File ]
rm - src/V3d/V3d_ListOfTransient.cdl Diff ] File ]
rm - src/V3d/V3d_ListOfTransient.cxx Diff ] File ]
add - src/V3d/V3d_ListOfTransient.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-18 15:58 abv New Issue
2014-04-18 15:58 abv Assigned To => bugmaster
2014-04-22 16:18 abv Relationship added child of 0024750
2014-04-22 17:04 abv Note Added: 0029014
2014-04-22 17:04 abv Assigned To bugmaster => kgv
2014-04-22 17:04 abv Status new => resolved
2014-04-22 18:07 kgv Note Added: 0029017
2014-04-22 18:07 kgv Assigned To kgv => bugmaster
2014-04-22 18:07 kgv Status resolved => reviewed
2014-04-22 18:08 abv Summary Refactor V3d_ListOfTransient => Convert class V3d_ListOfTransient to non-CDL
2014-04-23 17:30 bugmaster Assigned To bugmaster => mkv
2014-04-28 15:29 mkv Note Added: 0029101
2014-04-28 15:29 mkv Test case number => Not needed
2014-04-28 15:29 mkv Assigned To mkv => bugmaster
2014-04-28 15:29 mkv Status reviewed => tested
2014-05-05 17:24 apn Changeset attached => occt master db3cb1ce
2014-05-05 17:24 apn Assigned To bugmaster => apn
2014-05-05 17:24 apn Status tested => verified
2014-05-05 17:24 apn Resolution open => fixed
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker